weka.gui.beans

## Interface BeanCommon

- All Known Implementing Classes:
    AbstractDataSink, AbstractEvaluator, AbstractTestSetProducer, AbstractTrainAndTestSetProducer, AbstractTrainingSetProducer, Appender, Associator, AttributeSummarizer, ClassAssigner, Classifier, ClassifierPerformanceEvaluator, ClassValuePicker, Clusterer, ClustererPerformanceEvaluator, CostBenefitAnalysis, CrossValidationFoldMaker, DataVisualizer, Filter, FlowByExpression, ImageSaver, ImageViewer, IncrementalClassifierEvaluator, InstanceStreamToBatchMaker, Join, Loader, MetaBean, ModelPerformanceChart, PredictionAppender, Saver, ScatterPlotMatrix, SerializedModelSaver, Sorter, StripChart, SubstringLabeler, SubstringReplacer, TestSetMaker, TextSaver, TextViewer, TrainingSetMaker, TrainTestSplitMaker

      public interface BeanCommon

  Interface specifying routines that all weka beans should implement in order to allow the bean environment to exercise some control over the bean and also to allow the bean to exercise some control over connections. Beans may want to impose constraints in terms of the number of connections they will allow via a particular listener interface. Some beans may only want to be registered as a listener for a particular event type with only one source, or perhaps a limited number of sources.
  Since:
    1.0
  Version:
    $Revision: 8034 $
  Author:
    Mark Hall

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `connectionAllowed(java.beans.EventSetDescriptor esd)` Returns true if, at this time, the object will accept a connection via the named event
    `boolean` | `connectionAllowed(java.lang.String eventName)` Returns true if, at this time, the object will accept a connection via the named event
    `void` | `connectionNotification(java.lang.String eventName, java.lang.Object source)` Notify this object that it has been registered as a listener with a source for recieving events described by the named event This object is responsible for recording this fact.
    `void` | `disconnectionNotification(java.lang.String eventName, java.lang.Object source)` Notify this object that it has been deregistered as a listener with a source for named event.
    `java.lang.String` | `getCustomName()` Get the custom (descriptive) name for this bean (if one has been set)
    `boolean` | `isBusy()` Returns true if.
    `void` | `setCustomName(java.lang.String name)` Set a custom (descriptive) name for this bean
    `void` | `setLog(Logger logger)` Set a logger
    `void` | `stop()` Stop any processing that the bean might be doing.

- - ### Method Detail

    - #### setCustomName

          void setCustomName(java.lang.String name)

      Set a custom (descriptive) name for this bean
      Parameters:
        `name` - the name to use

    - #### getCustomName

          java.lang.String getCustomName()

      Get the custom (descriptive) name for this bean (if one has been set)
      Returns:
        the custom name (or the default name)

    - #### stop

          void stop()

      Stop any processing that the bean might be doing.

    - #### isBusy

          boolean isBusy()

      Returns true if. at this time, the bean is busy with some (i.e. perhaps a worker thread is performing some calculation).
      Returns:
        true if the bean is busy.

    - #### setLog

          void setLog(Logger logger)

      Set a logger
      Parameters:
        `logger` - a `weka.gui.Logger` value

    - #### connectionAllowed

          boolean connectionAllowed(java.beans.EventSetDescriptor esd)

      Returns true if, at this time, the object will accept a connection via the named event
      Parameters:
        `esd` - the EventSetDescriptor for the event in question
      Returns:
        true if the object will accept a connection

    - #### connectionAllowed

          boolean connectionAllowed(java.lang.String eventName)

      Returns true if, at this time, the object will accept a connection via the named event
      Parameters:
        `eventName` - the name of the event
      Returns:
        true if the object will accept a connection

    - #### connectionNotification

          void connectionNotification(java.lang.String eventName,
                                      java.lang.Object source)

      Notify this object that it has been registered as a listener with a source for recieving events described by the named event This object is responsible for recording this fact.
      Parameters:
        `eventName` - the event
        `source` - the source with which this object has been registered as a listener

    - #### disconnectionNotification

          void disconnectionNotification(java.lang.String eventName,
                                         java.lang.Object source)

      Notify this object that it has been deregistered as a listener with a source for named event. This object is responsible for recording this fact.
      Parameters:
        `eventName` - the event
        `source` - the source with which this object has been registered as a listener